#include "taskFlyport.h"
//LED STATUS (VERDE) (DS1)
#define   LED_VERDE_ON         IOPut(p31, 1)
#define   LED_VERDE_OFF        IOPut(p31, 0)
#define   LED_VERDE_TOGGLE     IOPut(p31, IOGet(p31) ^ 0x01)
//LED ROSSO  (DS1)
#define   LED_ROSSO_ON         IOPut(p32, 1)
#define   LED_ROSSO_OFF        IOPut(p32, 0)
#define   LED_ROSSO_TOGGLE     IOPut(p32, IOGet(p32) ^ 0x01)
//LED ROSSO + VERDE
#define   LED_GIALLO_ON        LED_ROSSO; LED_VERDE_ON
#define   LED_GIALLO_OFF       LED_GIALLO_OFF; LED_GIALLO_OFF
//RELE'     (K1)<br>
#define   RELE_ON              IOPut(p8, 1)
#define   RELE_OFF             IOPut(p8, 0)
#define   RELE_TOGGLE          IOPut(p8, IOGet(p8) ^ 0x01)
#define   RELE_STATE           IOGet(p8)
//PULSANTE  (S1)<br>
#define   BUTTON_INIT          IOInit(p9,inup)
#define   BUTTON_PRESS         (IOGet(p9)==0)

void FlyportTask() {
  BUTTON_INIT;   //Configurazione ingresso pulsante (p2)
  RELE_OFF;      //Reset linea del Relè (p6)
  LED_VERDE_OFF; //Reset linea del LED Verde DS1 (p5)
  LED_ROSSO_OFF; //Reset linea del LED Rosso DS1 (p5)
  
  UARTWrite(1,"SxFLY Test GPIO\r\n");
  while(1) {
    LED_VERDE_TOGGLE;  //Cambio di stato del LED verde
    if(BUTTON_PRESS){  //Verifica pressione del pulsante S1
      LED_ROSSO_ON;    //Accensione LED ROSSO
      RELE_TOGGLE;     //Cambio di stato del relè K1 verde
    }else{
      LED_ROSSO_OFF;   //Reset LED ROSSO
    }
    vTaskDelay(100);   //Ritardo
  }
}
